Hardware specifications
=======================

According to findings explicited in D4.8 by project partner Arduino, we have selected an embedded low-consumption board for its specific characteristics conforming our requirements. This choice has been made despite certain shortcomings on performance shown in D4.5 benchmarks that may regarded as negligible in this piloting phase.

In brief, these characteristics are:
- Availability of a SATA interface for storage solutions beyond SDCards
- Free from any proprietary firmware blob for boot (100% free eligible)
- Capable of running mainline Linux kernel without patches
- Assembled in Europe and certified as Open Hardware

DECODE HUB nodes (elsewhere indicated as "nano-nodes") are then made using the Olimex Lime2 hardware boards (based on a ARM20 processor) and connected using a gigabit Ethernet port. A LiPo battery provides stability in case of short power cuts and a noise immune power supply provides the necessary 5v energy to function.

The boards are assembled in Europe and are certified Open Hardware: they do not require any proprietary blob to run. It is therefore possible to assume that all software functions running on the boards are not conditioned by the hardware manufacturer, clearing issues of liability and integrity of computations.

## Manufacturer's documentation

The manufacturer provides extensive documentation about these boards: 

- [The Olimex Lime2 user manual](https://www.olimex.com/Products/OLinuXino/A20/A20-OLinuXIno-LIME2/resources/A20-OLinuXino-LIME2-UM.pdf)

- [The full A20 hardware datasheet](https://github.com/OLIMEX/OLINUXINO/blob/master/HARDWARE/A20-PDFs/A20%20Datasheet%20v1.0%2020130227.pdf)

For a quick overview of the hardware here is included the block diagram found in the  A20 datasheet (AllWinner chip):

![](olimex-lime2-block-diagram.png)

An illustrated image of the Lime2 board assemblage with indicated components is also reported here from its user manual. Here the front:

![](olimex-lime2-front.png)

And here below the rear:

![](olimex-lime2-retro.png)

In the following chapter is provided information on how to build the DECODE OS system to operate on this board.





